"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const command_1 = require("@salesforce/command");
const rimraf = require("rimraf");
const spawn = require('child-process-promise').spawn;
// Initialize Messages with the current plugin directory
command_1.core.Messages.importMessagesDirectory(__dirname);
// Load the specific messages for this file. Messages from @salesforce/command, @salesforce/core,
// or any library that is using the messages framework can also be loaded this way.
const messages = command_1.core.Messages.loadMessages('sfpowerkit', 'connectedapp_create');
class Create extends command_1.SfdxCommand {
    // Comment this out if your command does not support a hub org username
    // protected static supportsDevhubUsername = true;
    // Set this to true if your command requires a project workspace; 'requiresProject' is false by default
    //protected static requiresProject = true;
    async run() {
        rimraf.sync('temp_sfpowerkit');
        // this.org is guaranteed because requiresUsername=true, as opposed to supportsUsername
        const username = this.org.getUsername();
        rimraf.sync('temp_sfpowerkit');
        return {};
    }
}
Create.description = messages.getMessage('commandDescription');
Create.examples = [
    `$ sfdx  sfpowerkit:org:sandbox:create -u myOrg@example.com -n AzurePipelines
  Successfully Enqueued Creation of Sandbox
  `
];
Create.flagsConfig = {
    name: command_1.flags.string({ required: true, char: 'n', description: messages.getMessage('nameFlagDescription') }),
};
// Comment this out if your command does not require an org username
Create.requiresUsername = true;
exports.default = Create;
//# sourceMappingURL=create.js.map